Loading...
Searching...
No Matches
gpiod::line_settings Class Referencefinal

Stores GPIO line settings. More...

`#include <line-settings.hpp>`

## Public Member Functions

| line_settings ()
| Initializes the line_settings object with default values.
| line_settings (const line_settings &other)
| Copy constructor.
| line_settings (line_settings &&other) noexcept
| Move constructor.
| ~line_settings ()
line_settings & | operator= (const line_settings &other)
| Copy assignment operator.
line_settings & | operator= (line_settings &&other)
| Move assignment operator.
line_settings & | reset () noexcept
| Reset the line settings to default values.
line_settings & | set_direction (line::direction direction)
| Set direction.
line::direction | direction () const
| Get direction.
line_settings & | set_edge_detection (line::edge edge)
| Set edge detection.
line::edge | edge_detection () const
| Get edge detection.
line_settings & | set_bias (line::bias bias)
| Set bias setting.
line::bias | bias () const
| Get bias setting.
line_settings & | set_drive (line::drive drive)
| Set drive setting.
line::drive | drive () const
| Get drive setting.
line_settings & | set_active_low (bool active_low)
| Set the active-low setting.
bool | active_low () const noexcept
| Get the active-low setting.
line_settings & | set_debounce_period (const ::std::chrono::microseconds &period)
| Set debounce period.
::std::chrono::microseconds | debounce_period () const noexcept
| Get debounce period.
line_settings & | set_event_clock (line::clock event_clock)
| Set the event clock to use for edge event timestamps.
line::clock | event_clock () const
| Get the event clock used for edge event timestamps.
line_settings & | set_output_value (line::value value)
| Set the output value.
line::value | output_value () const
| Get the output value.

## Detailed Description

Stores GPIO line settings.

## Constructor & Destructor Documentation

## line_settings() [1/3]

gpiod::line_settings::line_settings | ( |  | ) |

Initializes the line_settings object with default values.

## line_settings() [2/3]

gpiod::line_settings::line_settings | ( | const line_settings & | other | ) |

Copy constructor.

Parameters

  other | Object to copy.

## line_settings() [3/3]

gpiod::line_settings::line_settings | ( | line_settings && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~line_settings()

gpiod::line_settings::~line_settings | ( |  | ) |

## Member Function Documentation

## active_low()

bool gpiod::line_settings::active_low | ( |  | ) | const

noexcept

Get the active-low setting.

Returns
  Current active-low setting.

## bias()

line::bias gpiod::line_settings::bias | ( |  | ) | const

Get bias setting.

Returns
  Current bias.

## debounce_period()

::std::chrono::microseconds gpiod::line_settings::debounce_period | ( |  | ) | const

noexcept

Get debounce period.

Returns
  Current debounce period.

## direction()

line::direction gpiod::line_settings::direction | ( |  | ) | const

Get direction.

Returns
  Current direction setting.

## drive()

line::drive gpiod::line_settings::drive | ( |  | ) | const

Get drive setting.

Returns
  Current drive.

## edge_detection()

line::edge gpiod::line_settings::edge_detection | ( |  | ) | const

Get edge detection.

Returns
  Current edge detection setting.

## event_clock()

line::clock gpiod::line_settings::event_clock | ( |  | ) | const

Get the event clock used for edge event timestamps.

Returns
  Current event clock type.

## operator=() [1/2]

line_settings & gpiod::line_settings::operator= | ( | const line_settings & | other | ) |

Copy assignment operator.

Parameters

  other | Object to copy.

Returns
  Reference to self.

## operator=() [2/2]

line_settings & gpiod::line_settings::operator= | ( | line_settings && | other | ) |

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## output_value()

line::value gpiod::line_settings::output_value | ( |  | ) | const

Get the output value.

Returns
  Current output value.

## reset()

line_settings & gpiod::line_settings::reset | ( |  | ) |

noexcept

Reset the line settings to default values.

Returns
  Reference to self.

## set_active_low()

line_settings & gpiod::line_settings::set_active_low | ( | bool | active_low | ) |

Set the active-low setting.

Parameters

  active_low | New active-low setting.

Returns
  Reference to self.

## set_bias()

line_settings & gpiod::line_settings::set_bias | ( | line::bias | bias | ) |

Set bias setting.

Parameters

  bias | New bias.

Returns
  Reference to self.

## set_debounce_period()

line_settings & gpiod::line_settings::set_debounce_period | ( | const ::std::chrono::microseconds & | period | ) |

Set debounce period.

Parameters

  period | New debounce period in microseconds.

Returns
  Reference to self.

## set_direction()

line_settings & gpiod::line_settings::set_direction | ( | line::direction | direction | ) |

Set direction.

Parameters

  direction | New direction.

Returns
  Reference to self.

## set_drive()

line_settings & gpiod::line_settings::set_drive | ( | line::drive | drive | ) |

Set drive setting.

Parameters

  drive | New drive.

Returns
  Reference to self.

## set_edge_detection()

line_settings & gpiod::line_settings::set_edge_detection | ( | line::edge | edge | ) |

Set edge detection.

Parameters

  edge | New edge detection setting.

Returns
  Reference to self.

## set_event_clock()

line_settings & gpiod::line_settings::set_event_clock | ( | line::clock | event_clock | ) |

Set the event clock to use for edge event timestamps.

Parameters

  event_clock | Clock to use.

Returns
  Reference to self.

## set_output_value()

line_settings & gpiod::line_settings::set_output_value | ( | line::value | value | ) |

Set the output value.

Parameters

  value | New output value.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- line-settings.hpp